#ifndef __DEBUG_H
#define __DEBUG_H

#ifdef __cplusplus
 extern "C" {
#endif

#include "stdio.h"
#include "ch32v30x.h"

/* UART Printf Definition */
#define DEBUG_UART1    1
#define DEBUG_UART2    2
#define DEBUG_UART3    3

/* DEBUG UATR Definition */
#define DEBUG   DEBUG_UART1
//#define DEBUG   DEBUG_UART2
//#define DEBUG   DEBUG_UART3
#define usart_max  300

void Delay_Init(void);
void Delay_Us (uint32_t n);
void Delay_Ms (uint32_t n);
void USART_COM_DataReceiver(uint8_t *RxData);

extern unsigned char G_prn_flag;
extern unsigned char usart1_rx[usart_max],usart1_rxbuf[usart_max],G_usart1_Rsign;

#ifdef __cplusplus
}
#endif

#endif 



